#####  Created by:
#####  Bridge Commander Universal Tool


import App
import Foundation


abbrev = "V1NX"
iconName = "V1NX"
longName = "NX-01 Enterprise"
shipFile = "V1NX"
species = App.SPECIES_GALAXY
menuGroup = "Fed Ships"
playerMenuGroup = "Fed Ships"
Foundation.ShipDef.V1NX = Foundation.ShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })


Foundation.ShipDef.V1NX.desc = "Commissioned in 2151, Enterprise was the first starship of the NX class, with a crew complement of 86. Enterprise was Starfleets first long-range exploration vessel with a theoretical top speed of warp 5.2 by the fourth to last episode of the 4th season, considerably faster than any other Human vessels of the era. Captain Archer made first contact with the Suliban, Tholians, Klingons, and Xindi, among others, although few of these encounters were peaceful. Enterprise established Earth's presence in previously uncharted regions of space, bringing together the Andorians and Vulcanstwo species who had been on the verge of war for years. Enterprise was pivotal in defending Earth from a dangerous alliance of five alien races from the planet Xindus known as the Xindi in 2153 through 2154. The ship suffered severe damage several times during the mission and the crew suffered heavy casualties, but managed to return home after an unexpected detour to an alternate version of 1944 in which Nazi Germany had conquered much of the eastern United States, although the vessel did not land during that mission, it was brought within tens of meters from the ground in order to help restore the timeline."
Foundation.ShipDef.V1NX.SubMenu = "Vladko1"
Foundation.ShipDef.V1NX.fMaxWarp = 5.19 + 0.0001
Foundation.ShipDef.V1NX.fCruiseWarp = 4.6 + 0.0001
Foundation.ShipDef.V1NX.fCrew = 86


if menuGroup:           Foundation.ShipDef.V1NX.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.V1NX.RegisterQBPlayerShipMenu(playerMenuGroup)


if Foundation.shipList._keyList.has_key(longName):
      Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
      Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]
